ECHO OFF
echo .
if %1NUL==NUL goto BADEND 
cls
echo               Mace+Utilities Floppy Disk Installation
echo .
echo         Finstall is a convenience, not a copy-protection feature.
echo             (Hard disk users Ctrl C and use HINSTALL.)	
echo __________________________________________________________________________
echo                     Usage is: FINSTALL drive  (no colon)
echo .
echo    (For example: FINSTALL B would install the program on floppy drive B:)
echo .
echo __________________________________________________________________________
echo             This batch file will copy the program files
echo                     to the root directory
echo                         of drive %1:
echo .
echo It copies files from the root directory of this distribution disk.
echo Then, if you have:
echo --512K or more memory: the larger version is copied.
echo --less than 512K: the 256K version is copied.
echo .
echo __________________________________________________________________________
echo                Ctrl C to abort installation on
echo                            %1:
echo .
pause
copy \help.exe %1:\
copy \help.doc %1:\
copy \ut.exe %1:\
copy \subsq.exe %1:\
copy \rxbak.exe %1:\        
copy \reclaim.exe %1:\
copy \sample.bat %1:\
cls
mtest
IF ERRORLEVEL 2 GOTO K512
IF ERRORLEVEL 1 GOTO K512
echo Installing 256K version. 
copy \256K\*.* %1:\
goto END 
:K640
echo Installing 640K version.
copy \640K\*.* %1:\
GOTO END
:K512
echo Installing 512K version.
copy \512K\*.* %1:\
GOTO END
:BADEND
cls
echo                     Usage is: FINSTALL drive  (no colon)
echo .
echo                  drive is the letter of the target drive    
echo    (For example: FINSTALL B would install the program on floppy drive B:)
echo .
GOTO OUT
:END
cls
echo __________________________________________________________________________
echo NOW, copy COMMAND.COM and CHKDSK.COM to %1:
echo __________________________________________________________________________
:OUT
echo on
